Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Validate an external key config for the user's organization

admin.organization.external_keys.validate(external_key_id) -> ExternalKeyValidateResponse
POST
/organization/external_keys/{external_key_id}/validate

Validate an external key config for the user’s organization

Parameters
external_key_id: str
Returns
class ExternalKeyValidateResponse: …
status: str

Validate an external key config for the user's organization

import os
from openai import OpenAI

client = OpenAI(
    admin_api_key=os.environ.get("OPENAI_ADMIN_KEY"),  # This is the default and can be omitted
)
response = client.admin.organization.external_keys.validate(
    "external_key_id",
)
print(response.status)
200 — Example
{
  "status": "status"
}
Returns Examples
200 — Example
{
  "status": "status"
}